import { system, world } from "@minecraft/server";

const commands = [
    "give @s la:stardust_destiny_luck",
    "give @s la:stardust_power",
    "give @s la:stardust_meteor"
];

function getRandomCommand() {
    return commands[Math.floor(Math.random() * commands.length)];
}

system.runInterval(() => {
    for (const player of world.getPlayers()) {
        if (player.hasTag("orsi")) {
            player.runCommand(getRandomCommand());
            player.removeTag("orsi");
            player.addTag("orsi2");
        }
    }
}, 10);